Accept the suggestions
curl --request PUT \
--url https://coreapi.io/payment/bank-account-transactions/accept-suggestions \
--header 'Authorization: Bearer <token>'import requests
url = "https://coreapi.io/payment/bank-account-transactions/accept-suggestions"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://coreapi.io/payment/bank-account-transactions/accept-suggestions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/payment/bank-account-transactions/accept-suggestions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "ad8f0b9c-4b1e-4e0e-8b9c-4b1e4e0e8b9c",
"suggestedInvoice": {
"id": "00000000-0000-0000-0000-000000000000",
"customer": {
"id": "00000000-0000-0000-0000-000000000000",
"customerNumber": "CUSTOMER-000",
"timeZone": "Europe/Berlin",
"firstName": "John",
"lastName": "Doe",
"currencyCode": "EUR",
"companyName": "Acme Inc.",
"datevId": "123456789",
"status": "STATUS_ACTIVE"
},
"paymentMethod": {
"id": "c1a2b3c4-d5e6-4f7a-8b9b-0c1d2e3f4a5b",
"gatewayName": "wallet",
"type": "sepa_debit",
"default": true,
"status": "active",
"enabled": true,
"name": "Visa (4242)",
"creationDate": "2024-01-15T10:30:00+00:00",
"expirationDate": "2026-12-31T23:59:59+00:00",
"card": {
"brand": "Visa",
"last4": "4242",
"expMonth": 12,
"expYear": 2022,
"cardHolder": "Max Mustermann"
},
"sepaDebit": {
"iban": "DE8937*********3232",
"bic": "COBADEFFXXX",
"mandateReference": "MNDT-2021-123456",
"signingDate": "2021-01-01T00:00:00+00:00"
},
"paypal": {
"email": "max@mustermann.de",
"billingAgreementId": "I-1J5gqz2eZvKYlo2C2X2X2X2X"
}
},
"type": "TYPE_INVOICE",
"currencyCode": "EUR",
"number": "RE-0000000001",
"status": "STATUS_DRAFT",
"finalizationDate": "2023-11-07T05:31:56Z",
"dueDate": "2023-11-07T05:31:56Z",
"dunningLevel": 123,
"dunningStatus": "none",
"payDate": "2023-11-07T05:31:56Z",
"invoiceAddress": "<unknown>",
"internalNote": "This invoice is with a special discount.",
"netAmount": {},
"grossAmount": {},
"taxAmount": {},
"customFields": {
"field1": "value1",
"field2": "value2"
},
"unpaidAmount": {}
},
"suggestedCustomer": {
"id": "00000000-0000-0000-0000-000000000000",
"customerNumber": "CUSTOMER-000",
"timeZone": "Europe/Berlin",
"firstName": "John",
"lastName": "Doe",
"currencyCode": "EUR",
"companyName": "Acme Inc.",
"datevId": "123456789",
"status": "STATUS_ACTIVE"
},
"valueDate": "2023-11-07T05:31:56Z",
"bookingDate": "2023-11-07T05:31:56Z",
"paymentDate": "2023-11-07T05:31:56Z",
"usageDescription": "Kundennummer 1234567890 Rechnung 1234567890",
"endToEndId": "1234567890",
"counterParty": {
"id": "ad8f0b9c-4b1e-4e0e-8b9c-4b1e4e0e8b9c",
"alias": "Girokonto",
"iban": "DE12500105170648489890",
"bic": "PBNKDEFFXXX",
"accountHolder": "Max Mustermann",
"bankName": "Commerzbank"
},
"amount": {},
"fee": {},
"status": "STATUS_RECEIVED",
"receivedAt": "2023-11-07T05:31:56Z",
"bookedAt": "2023-11-07T05:31:56Z",
"mandateId": "MAN1234567890",
"source": "klarna",
"type": "debit",
"transactionCode": "RCDT",
"assignments": [
{
"id": "ad8f0b9c-4b1e-4e0e-8b9c-4b1e4e0e8b9c",
"invoice": {
"id": "00000000-0000-0000-0000-000000000000",
"customer": {
"id": "00000000-0000-0000-0000-000000000000",
"customerNumber": "CUSTOMER-000",
"timeZone": "Europe/Berlin",
"firstName": "John",
"lastName": "Doe",
"currencyCode": "EUR",
"companyName": "Acme Inc.",
"datevId": "123456789",
"status": "STATUS_ACTIVE"
},
"paymentMethod": {
"id": "c1a2b3c4-d5e6-4f7a-8b9b-0c1d2e3f4a5b",
"gatewayName": "wallet",
"type": "sepa_debit",
"default": true,
"status": "active",
"enabled": true,
"name": "Visa (4242)",
"creationDate": "2024-01-15T10:30:00+00:00",
"expirationDate": "2026-12-31T23:59:59+00:00",
"card": {
"brand": "Visa",
"last4": "4242",
"expMonth": 12,
"expYear": 2022,
"cardHolder": "Max Mustermann"
},
"sepaDebit": {
"iban": "DE8937*********3232",
"bic": "COBADEFFXXX",
"mandateReference": "MNDT-2021-123456",
"signingDate": "2021-01-01T00:00:00+00:00"
},
"paypal": {
"email": "max@mustermann.de",
"billingAgreementId": "I-1J5gqz2eZvKYlo2C2X2X2X2X"
}
},
"type": "TYPE_INVOICE",
"currencyCode": "EUR",
"number": "RE-0000000001",
"status": "STATUS_DRAFT",
"finalizationDate": "2023-11-07T05:31:56Z",
"dueDate": "2023-11-07T05:31:56Z",
"dunningLevel": 123,
"dunningStatus": "none",
"payDate": "2023-11-07T05:31:56Z",
"invoiceAddress": "<unknown>",
"internalNote": "This invoice is with a special discount.",
"netAmount": {},
"grossAmount": {},
"taxAmount": {},
"customFields": {
"field1": "value1",
"field2": "value2"
},
"unpaidAmount": {}
},
"transaction": {
"id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
"type": "payment",
"status": "new",
"description": "Payment for invoice #123",
"documentNumber": "123456789",
"currencyCode": "EUR",
"amount": 500,
"refundedAmount": 123,
"chargedAmount": 500,
"feeAmount": 50,
"createdAt": "2023-11-07T05:31:56Z",
"paidAt": "2023-11-07T05:31:56Z"
},
"amount": {},
"fee": {},
"matchedAt": "2023-11-07T05:31:56Z"
}
],
"unassignedAmount": {}
}Bank Transaction
Accept the suggestions
Accept the suggestions for the bank account transaction. This will create a new transaction with the remaining bank transaction amount upto the unpaid invoice amounts. When the bank transaction has a remaining amount, you can assign that to other invoices.
Required permissions:bank-account-transaction:writePUT
/
payment
/
bank-account-transactions
/
accept-suggestions
Accept the suggestions
curl --request PUT \
--url https://coreapi.io/payment/bank-account-transactions/accept-suggestions \
--header 'Authorization: Bearer <token>'import requests
url = "https://coreapi.io/payment/bank-account-transactions/accept-suggestions"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://coreapi.io/payment/bank-account-transactions/accept-suggestions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/payment/bank-account-transactions/accept-suggestions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "ad8f0b9c-4b1e-4e0e-8b9c-4b1e4e0e8b9c",
"suggestedInvoice": {
"id": "00000000-0000-0000-0000-000000000000",
"customer": {
"id": "00000000-0000-0000-0000-000000000000",
"customerNumber": "CUSTOMER-000",
"timeZone": "Europe/Berlin",
"firstName": "John",
"lastName": "Doe",
"currencyCode": "EUR",
"companyName": "Acme Inc.",
"datevId": "123456789",
"status": "STATUS_ACTIVE"
},
"paymentMethod": {
"id": "c1a2b3c4-d5e6-4f7a-8b9b-0c1d2e3f4a5b",
"gatewayName": "wallet",
"type": "sepa_debit",
"default": true,
"status": "active",
"enabled": true,
"name": "Visa (4242)",
"creationDate": "2024-01-15T10:30:00+00:00",
"expirationDate": "2026-12-31T23:59:59+00:00",
"card": {
"brand": "Visa",
"last4": "4242",
"expMonth": 12,
"expYear": 2022,
"cardHolder": "Max Mustermann"
},
"sepaDebit": {
"iban": "DE8937*********3232",
"bic": "COBADEFFXXX",
"mandateReference": "MNDT-2021-123456",
"signingDate": "2021-01-01T00:00:00+00:00"
},
"paypal": {
"email": "max@mustermann.de",
"billingAgreementId": "I-1J5gqz2eZvKYlo2C2X2X2X2X"
}
},
"type": "TYPE_INVOICE",
"currencyCode": "EUR",
"number": "RE-0000000001",
"status": "STATUS_DRAFT",
"finalizationDate": "2023-11-07T05:31:56Z",
"dueDate": "2023-11-07T05:31:56Z",
"dunningLevel": 123,
"dunningStatus": "none",
"payDate": "2023-11-07T05:31:56Z",
"invoiceAddress": "<unknown>",
"internalNote": "This invoice is with a special discount.",
"netAmount": {},
"grossAmount": {},
"taxAmount": {},
"customFields": {
"field1": "value1",
"field2": "value2"
},
"unpaidAmount": {}
},
"suggestedCustomer": {
"id": "00000000-0000-0000-0000-000000000000",
"customerNumber": "CUSTOMER-000",
"timeZone": "Europe/Berlin",
"firstName": "John",
"lastName": "Doe",
"currencyCode": "EUR",
"companyName": "Acme Inc.",
"datevId": "123456789",
"status": "STATUS_ACTIVE"
},
"valueDate": "2023-11-07T05:31:56Z",
"bookingDate": "2023-11-07T05:31:56Z",
"paymentDate": "2023-11-07T05:31:56Z",
"usageDescription": "Kundennummer 1234567890 Rechnung 1234567890",
"endToEndId": "1234567890",
"counterParty": {
"id": "ad8f0b9c-4b1e-4e0e-8b9c-4b1e4e0e8b9c",
"alias": "Girokonto",
"iban": "DE12500105170648489890",
"bic": "PBNKDEFFXXX",
"accountHolder": "Max Mustermann",
"bankName": "Commerzbank"
},
"amount": {},
"fee": {},
"status": "STATUS_RECEIVED",
"receivedAt": "2023-11-07T05:31:56Z",
"bookedAt": "2023-11-07T05:31:56Z",
"mandateId": "MAN1234567890",
"source": "klarna",
"type": "debit",
"transactionCode": "RCDT",
"assignments": [
{
"id": "ad8f0b9c-4b1e-4e0e-8b9c-4b1e4e0e8b9c",
"invoice": {
"id": "00000000-0000-0000-0000-000000000000",
"customer": {
"id": "00000000-0000-0000-0000-000000000000",
"customerNumber": "CUSTOMER-000",
"timeZone": "Europe/Berlin",
"firstName": "John",
"lastName": "Doe",
"currencyCode": "EUR",
"companyName": "Acme Inc.",
"datevId": "123456789",
"status": "STATUS_ACTIVE"
},
"paymentMethod": {
"id": "c1a2b3c4-d5e6-4f7a-8b9b-0c1d2e3f4a5b",
"gatewayName": "wallet",
"type": "sepa_debit",
"default": true,
"status": "active",
"enabled": true,
"name": "Visa (4242)",
"creationDate": "2024-01-15T10:30:00+00:00",
"expirationDate": "2026-12-31T23:59:59+00:00",
"card": {
"brand": "Visa",
"last4": "4242",
"expMonth": 12,
"expYear": 2022,
"cardHolder": "Max Mustermann"
},
"sepaDebit": {
"iban": "DE8937*********3232",
"bic": "COBADEFFXXX",
"mandateReference": "MNDT-2021-123456",
"signingDate": "2021-01-01T00:00:00+00:00"
},
"paypal": {
"email": "max@mustermann.de",
"billingAgreementId": "I-1J5gqz2eZvKYlo2C2X2X2X2X"
}
},
"type": "TYPE_INVOICE",
"currencyCode": "EUR",
"number": "RE-0000000001",
"status": "STATUS_DRAFT",
"finalizationDate": "2023-11-07T05:31:56Z",
"dueDate": "2023-11-07T05:31:56Z",
"dunningLevel": 123,
"dunningStatus": "none",
"payDate": "2023-11-07T05:31:56Z",
"invoiceAddress": "<unknown>",
"internalNote": "This invoice is with a special discount.",
"netAmount": {},
"grossAmount": {},
"taxAmount": {},
"customFields": {
"field1": "value1",
"field2": "value2"
},
"unpaidAmount": {}
},
"transaction": {
"id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
"type": "payment",
"status": "new",
"description": "Payment for invoice #123",
"documentNumber": "123456789",
"currencyCode": "EUR",
"amount": 500,
"refundedAmount": 123,
"chargedAmount": 500,
"feeAmount": 50,
"createdAt": "2023-11-07T05:31:56Z",
"paidAt": "2023-11-07T05:31:56Z"
},
"amount": {},
"fee": {},
"matchedAt": "2023-11-07T05:31:56Z"
}
],
"unassignedAmount": {}
}Autorisierungen
Antwort
BankAccountTransaction resource updated
The transaction code as defined in ISO 20022. See: https://www.iso20022.org/sites/default/files/2020-08/BTC_ExternalCodeListDescription_31Aug2020.doc
Beispiel:
"RCDT"
War diese Seite hilfreich?